<!-- answer -->
{% if withColumn %}
<div class='{{ coreClass }} row'>
    <div class="{{ extraclass }}">
{% else %}
<div class='{{ coreClass }} {{ extraclass }}'>
{%  endif %}
    <div class='clearfix'>
        <div class="alert alert-danger ls-js-hidden">{{ language['This question need javascript.'] }}</div>
        <div
            id='edit-tools-{{ sgq }}'
            class='edit-tools pull-right hidden-print ls-no-js-hidden'
            data-updateurl = '{{ editUrl }}'
            data-loadurl = '{{ loadUrl }}'
            data-keepurl = '{{ keepUrl }}'
            data-textarea = '{{ sgq }}'
            data-timelimit = '{{ maxTime }}'
        >
            <span class='text-warning text-btn-help text-btn-saved-auto' data-help = '{{ sgq }}'></span>
            <span class='text-success text-btn-help text-btn-saved' data-help = '{{ sgq }}'></span>
            <span class='text-danger text-btn-help text-btn-error' data-help = '{{ sgq }}'></span>
            <button
                class = 'btn btn-xs btn-info btn-edit active'
                type = 'button'
                data-edit = '{{ sgq }}'
            >
                <i class='fa fa-pencil' aria-hidden='true'></i>
                {{ language['Edit'] }}
            </button>
            <div class='btn-group btn-action-edit' role='group' data-edit='{{ sgq }}'>
                <button
                    class = 'btn btn-xs btn-success btn-save'
                    type = 'button'
                    data-edit = '{{ sgq }}'
                >
                    <i class='fa fa-check-circle-o' aria-hidden='true'></i>
                    {{ language['Save'] }}
                </button>
                <button
                    class = 'btn btn-xs btn-danger btn-cancel'
                    type = 'button'
                    data-edit = '{{ sgq }}'
                >
                    <i class='fa fa-times-circle' aria-hidden='true'></i>
                    {{ language['Cancel'] }}
                </button>
            </div>
        </div>
    </div>
    <pre
        id = "pre{{ sgq }}"
        class = "form-control editable-control"
    >{{ C.Html.encode(value) }}</pre>
    <div class="hidden" style="display:none"><textarea
        name = "{{ sgq }}"
        id = "answer{{ sgq }}"
        disabled
    >{{ value }}</textarea>
    </div>
{% if withColumn %}
    </div>
</div>
{% else %}
</div>
{% endif %}
